import React, { Component } from 'react'
import Nav from './Nav'
import ActiveList from './ActiveList'
// import CanvasJS from "./canvasjs.min.js"
import { 
  API
} from '../lib/vars'

import { USERS, SERVER } from '../config'

import '../offcanvas.css'

let url = `${SERVER}${API}`

for(let i = 0; i<USERS.length; i++) {
  url = url + USERS[i] + ',' 
}

console.log(url)

// let online = 0, away = 0, offline = 0, brb = 0, dnd = 0, busy = 0, busyIdle = 0, idle = 0 

class PresenceTestContainer extends Component {
  constructor() {
    super();
    
    // On initial state, set users to an empty array
    this.state = {
      getPresencesApiUrl: url,
      users: [],
      apiFetchingRefreshInterval: 30000, // 1 second = 1000
      secondsElapsed: 0,
    }

    this.getData = this.getData.bind(this);
    this.getData()
  }

  // Call this function to fetch data from the Web Presence API
  getData() {
    // online = 0, away = 0, offline = 0, brb = 0, dnd = 0, busy = 0, busyIdle = 0, idle = 0;
    fetch(this.state.getPresencesApiUrl)
      .then(response => response.json()) // Parse response to json
      .then(json => {
        // console.log('getData()')
        // console.log(json)
        let nextState = Object.assign(this.state, {users: json, timeElapsed: this.state.secondsElapsed + 1})
        this.setState(nextState)
        // this.state.users.forEach(user => {
        //   switch(user.Status){
        //     case "Online": online++
        //       break
        //     case "Offline": offline++
        //       break
        //     case "Away": away++
        //       break
        //     case "Busy": busy++
        //       break
        //     case "Be Right Back": brb++
        //       break
        //     case "Do Not Disturb": dnd++
        //       break
        //     case "Busy-Idle": busyIdle++
        //       break
        //     case "Idle Online": idle++
        //       break
        //   }
        // })
        // var chart = new CanvasJS.Chart("chartContainer", {
        //   animationEnabled: true,
        //   title: {
        //     text: "Current Status of Users"
        //   },
        //   data: [{
        //     type: "pie",
        //     startAngle: 240,
        //     yValueFormatString: "##0\"\"",
        //     indexLabel: "{label} {y}",
        //     dataPoints: [
        //       {y:online, label: "Online"},
        //       {y:offline, label: "Offline"},
        //       {y:away, label: "Away"},
        //       {y:busy, label: "Busy"},
        //       {y:brb, label: "Be Right Back"},
        //       {y:dnd, label: "Do Not Disturb"},
        //       {y:busyIdle,label: "Busy-Idle"},
        //       {y:idle, label: "Idle"},
        //     ]
        //   }]
        // });
        // chart.render();
        
      })
      .catch(error => console.log(error))
  }

  // This function is called ater component is rendered into the browser.
  // And this function will fetch data from the api then store it as state.
  componentDidMount() {
    
    this.getData()
    
    
    this.interval = setInterval(this.getData, this.state.apiFetchingRefreshInterval)
  }

  // Before component mounts, clear interval
  componentWillMount() {
    clearInterval(this.interval);
  }

  render() {
    
    return(
      <div className='container-fluid'>
        
        <Nav />

        <main role='main' className='container'>
          <div>
          <ActiveList users = {this.state.users} title={'Online Users'} style={{position: 'absolute', height: '370px', width: '100%'}}/>
          <ActiveList users = {this.state.users} title={"All Users (" + this.state.users.length + ")" } showAll = {true}/>
          </div>
          {/* <div id="chartContainer" style={{height: '370px', width: '100%'}}>
          </div> */}
      </main>
      </div>
    );
  }
}

export default PresenceTestContainer;