import React, { Component } from 'react'
import convertSkypeAvailability from '../lib/convertSkypeAvailability'

class UserCard extends Component {
  render() {
    const user = this.props.user
    const title = this.props.title
    const showAll = this.props.showAll

    let status;
    if (user.Status === 'Online')
      status =  <h5 className="card-title text-success">Online</h5> 
    else if(user.Status === 'Offline') 
      status =  <h5 className="card-title text-danger">Offline</h5>
    else if(user.Status ==='Away')
      status = <h5 className="card-title text-warning">Away</h5>
    else if(user.Status ==='Be Right Back')
      status = <h5 className="card-title text-warning">Be Right Back</h5>
    else if(user.Status ==='Do Not Disturb')
      status = <h5 className="card-title text-danger">Do Not Disturb</h5>
    else if(user.Status ==='Busy-Idle')
      status = <h5 className="card-title text-warning">Busy-Idle</h5>
    else if(user.Status ==='Busy')
      status = <h5 className="card-title text-danger">Busy</h5>
    else if(user.Status ==='Idle Online')
      status = <h5 className="card-title text-warning">Idle Online</h5>

    return (
      <div className="card" style={{width: '18rem', margin: 5}}>
        {/* <img className="card-img-top" src="http://via.placeholder.com/150x150" alt="User card"/> */}
        <div className="card-body">
          <div className="row">
            <div className="col">
              <h5 className="card-title">{this.props.user.ContactName}</h5>
            </div>
            <div className="col-4">
            { 
              status
            }
            </div>
          </div>
          <p className="card-text">{user.Email}</p>
          <p className="card-text">Status: {convertSkypeAvailability(user.Availability)}</p>
          <p className="card-text">Position: {user.JobTitle}</p>
          <a href={user.SipUri} className="btn btn-primary">Skype Chat</a>
        </div>
      </div>
    )
  }
}

export default UserCard